"""add MetaModifiedTS to PackageBase

Revision ID: 42584a60e7a7
Revises: d64e5571bc8d
Create Date: 2022-09-06 12:37:49.460344

"""
from alembic import op
from sqlalchemy.exc import OperationalError

from aurweb.models import PackageBase

# revision identifiers, used by Alembic.
revision = "42584a60e7a7"
down_revision = "d64e5571bc8d"
branch_labels = None
depends_on = None

table = PackageBase.__tablename__


def upgrade():
    try:
        op.add_column(table, PackageBase.__table__.c.MetaModifiedTS)
    except OperationalError as e:
        print(e)
        print("MetaModifiedTS column already exists")


def downgrade():
    op.remove_column(table, "MetaModifiedTS")
